Page MenuHomePhabricator

Investigate why disabling an uplink port did not deprioritize VRRP on cr2-eqiad
Closed, ResolvedPublic

Description

During a hardware induced network outage, Mark disabled 1 out of 4 uplinks from asw-d-eqiad to cr2-eqiad (xe-5/2/1). However this did not result in an automatically lowered VRRP priority for the VRRP sessions for the affected VLANs, which is supposed to happen due to the VRRP track configuration. We should investigate and fix.

Event Timeline

mark created this task.Nov 27 2015, 1:30 PM
mark raised the priority of this task from to Medium.
mark updated the task description. (Show Details)
mark added a subscriber: mark.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 27 2015, 1:30 PM
mark set Security to None.
mark added a comment.Nov 3 2016, 4:29 PM

It's actually working as designed. Our current configuration looks like:

track {
    interface ae4.1004 {
        bandwidth-threshold 20g priority-cost 50;
        bandwidth-threshold 30g priority-cost 30;
    }
}

This states that if the bandwidth drops below 30G, a priority cost should be incurred. Because the normal bandwidth is 40G, and only one port was disabled, the new bandwidth became 30G, not enough to incur a priority cost.

Paladox added a subscriber: Paladox.Nov 3 2016, 4:30 PM
faidon closed this task as Resolved.Jan 9 2017, 1:18 AM
faidon claimed this task.
faidon added a subscriber: faidon.

Resolving as per the above.